<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>스마트팩토리과제관리시스템</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" />

    <!-- Wijmo styles -->
    <link href="../assets/plugin/wijmo/wijmo.min.css" rel="stylesheet"/>
    
    <!-- css -->
    <link rel="stylesheet" href="../assets/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="../assets/css/common.css" />
    <link rel="stylesheet" href="../assets/css/style.css" />
</head>

<body>  
    <header class="sf-header" id="header">
        <div class="top-logo">
            <a href="#" class="btn-open-all-menu" id="btnClick">
                <img src="../assets/img/all-menu.svg" alt="">
            </a>

            <div id="popClick" class="popover">
                <div class="popover-content">
                    화면 내 좌측 메뉴가 있을 경우에만 폴딩 기능이 실행됩니다.
                </div>
            </div>
    
            <a href="#" class="logo">
                <span class="abb">SFPM</span>
                <span class="full">
                    <span class="ko">스마트팩토리과제관리시스템</span>
                    <span class="en">Smart Factory Project Management system</span>
                </span>
            </a>
        </div>
        <div class="top-gnb">
            <nav class="top-main-nav">
                <ul class="depth1">
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리란?</a>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리 레벨</a>
                        
                        <!-- 230612 -->
                        <ul class="depth2-list">
                            <li>
                                <a href="#">스마트팩토리 레벨정의</a> 
                            </li>
                            <li>
                                <a href="#">스마트팩토리 레벨현황</a>
                            </li>
                        </ul>
                        <!-- //230612 -->

                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link on">핵심 Agenda</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">핵심 Agenda 요약</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 정의</a>
                            </li>
                            <li class="on">
                                <a href="#">핵심 Agenda 과제관리</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 진행현황</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">커뮤니티</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">Painpoint</a>
                            </li>
                            <li>
                                <a href="#">스마트팩토리 일정</a>
                            </li>
                            <li>
                                <a href="#">자료실</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">관리자</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">공통 코드 관리</a>
                            </li>
                            <li>
                                <a href="#">권한 관리</a>
                            </li>
                            <li>
                                <a href="#">메뉴 관리</a>
                            </li>
                            <!-- <li> 230612
                                <a href="#">메뉴 관리</a>
                            </li> -->
                            <li>
                                <a href="#">메세지 관리</a>
                            </li>
                            <li>
                                <a href="#">결제 관리</a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div> 
        <ul class="nav-right">
            <li>
                <button id="btn-favorite">
                    <i class="icon icon-favorites"></i>
                </button>
                <div id="pop-favorite" class="popover favorite">
                    <div class="popover-content">
                        <form name="popoverForm">
                            <div class="search-input-wrap">
                                <input type="text" placeholder="메뉴명 검색" />
                                <button class="btn-search">
                                    <span class="icon icon-search-submit"></span>
                                </button>
                            </div>
                            <ul class="recent-menu">
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Recent Menu 1</a>
                                </li>
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Recent Menu 2</a>
                                </li>
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Recent Menu 3</a>
                                </li>
                            </ul>
                            <ul class="favorite-menu">
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Favorite Menu 1</a>
                                </li>
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Favorite Menu 2</a>
                                </li>
                                <li>
                                    <button class="btn-favorite-sm">
                                        <i class="icon icon-favorites-sm"></i>
                                    </button>
                                    <a href="#">Favorite Menu 3</a>
                                </li>
                            </ul>
                            <a href="#" class="all-menu">All Menus</a>
                        </form>
                    </div>
                </div>
                <div id="pop-all-menu" class="popover allmenu">
                    <div class="popover-content">
                        <form>
                            <div class="all-menu-top">
                                <h3>All Menus</h3>
                                <div class="search-input-wrap">
                                    <input type="text" placeholder="메뉴명 검색" />
                                    <button class="btn-search">
                                        <span class="icon icon-search-submit"></span>
                                    </button>
                                    
                                </div>
                                <button class="btn-close-allmenu close wj-hide" type="button" tabindex="-1">
                                    <span class="icon icon-close"></span>
                                </button>
                            </div>
                            <div class="all-menu-list">
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">스마트팩토리란?</a>
                                    <ul class="all-menu-depth2">
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">스마트팩토리란?</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">스마트팩토리 레벨</a>
                                    <ul class="all-menu-depth2">
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">스마트팩토리 레벨 정의</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">스마트팩토리 레벨 현황</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">핵심 Agenda</a>
                                    <ul class="all-menu-depth2">
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">핵심아젠다 정의</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">핵심아젠다 요약</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">핵심아젠다 과제 관리</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">핵심아젠다 진행 현황</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">커뮤니티</a>
                                    <ul class="all-menu-depth2">
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">스마트팩토리  Talk</a>
                                        </li>
                                        <li>
                                            <button class="btn-favorite-sm">
                                                <i class="icon icon-favorites-sm"></i>
                                            </button>
                                            <a href="#">자료실</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="menu">
                                    <a href="#" class="all-menu-depth1">관리자</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </li>
            <li>
                <button>
                    <i class="icon icon-help"></i>
                </button>
            </li>
            <li>
                <span class="btn-toggle-wrap">
                    <input type="checkbox" id="toggle" hidden> 
                    <label for="toggle" class="switch-toggle">
                        <span class="btn-toggle"></span>
                    </label>
                </span>
            </li>
            <li>
                <a href="#" class="language">ENG <img src="../assets/img/arr-lang.svg" alt=""></a>
            </li>
            <li>
                <a href="#" class="avatar">
                    <span class="round">
                        <!-- <img src="../assets/img/ico-user.png" alt=""> 프로필 이미지 -->
                    </span>
                    홍길동
                </a>
            </li>
        </ul>

    </header>


    <!-- jQuery & jQuery UI -->
    <script src="../assets/js/jquery-3.6.0.js"></script>
    <script src="../assets/js/jquery-ui.js"></script>

    <!-- js -->
    <script src="../assets/js/common.js"></script>
    <script src="../assets/js/header.nav.js"></script>

     <!-- Bootstrap -->
     <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>

     <!-- Wijmo core -->
     <script src="../assets/plugin/wijmo/wijmo.min.js"></script>
     <script src="../assets/plugin/wijmo/wijmo.input.min.js"></script>
     <script src="../assets/plugin/wijmo/wijmo.nav.min.js"></script>


    <script>

        function init() {

             //햄버거메뉴 클릭 팝업
            let popClick = new wijmo.input.Popup('#popClick', {
                owner: document.getElementById('btnClick'),
                showTrigger: 'Click',
                hideTrigger: 'Click'
            });

            //즐겨찾기(헤더)
            const btnFavorite = document.getElementById('btn-favorite');
            const iconFavorite = document.querySelector('.icon-favorites');

            btnFavorite.addEventListener('click', () => {
                iconFavorite.classList.toggle('on');
            });

            //즐겨찾기 팝업 내 메뉴
            const btnFavoriteSm = document.querySelector('.btn-favorite-sm');
            const btnFavoriteSmList = document.querySelectorAll('.btn-favorite-sm');
            const iconFavoriteSmList = document.querySelectorAll('.icon-favorites-sm');

            btnFavoriteSmList.forEach((btnFavoriteSm, index) => {
                btnFavoriteSm.addEventListener('click', () => {
                    iconFavoriteSmList[index].classList.toggle('on');
                });
            });

            //즐겨찾기 메뉴 팝업
            let popFavorite = new wijmo.input.Popup('#pop-favorite', {
                owner: document.getElementById('btn-favorite'),
                showTrigger: 'Click',
            });

            //전체 메뉴 팝업
            let popAllMenu = new wijmo.input.Popup('#pop-all-menu', {
                owner: document.querySelector('.all-menu'),
                showTrigger: 'Click',
            });
        }
        init();
        
    </script>
</body>
</html>